# Method: projects.releaseChannels.list

- [HTTP request](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#body.request_body)
- [Response body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#body.response_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#body.ListReleaseChannelsResponse.SCHEMA_REPRESENTATION)
- [ReleaseChannel](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#ReleaseChannel)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#ReleaseChannel.SCHEMA_REPRESENTATION)

Lists all release channels and corresponding versions, if any.

### HTTP request

`GET https://actions.googleapis.com/v2/{parent=projects/*}/releaseChannels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the resource in the format `projects/{project}`. The `{project}` is the cloud project ID associated with the project. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of release channels to return. The service may return fewer than this value. If unspecified, at most 50 release channels will be returned. |
| `pageToken` | `string` A page token, received from a previous `releaseChannels.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `releaseChannels.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
RPC response for listing release channels

| JSON representation ||
|---|---|
| ``` { "releaseChannels": [ { object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#ReleaseChannel`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `releaseChannels[]` | ``object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list#ReleaseChannel`)`` List of the release channels for the given project id. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

## ReleaseChannel

Definition of release channel resource.

| JSON representation ||
|---|---|
| ``` { "name": string, "currentVersion": string, "pendingVersion": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The unique name of the release channel in the following format. `projects/{project}/releaseChannels/{releaseChannel}`. |
| `currentVersion` | `string` Version currently deployed to this release channel in the following format: `projects/{project}/versions/{version}`. |
| `pendingVersion` | `string` Version to be deployed to this release channel in the following format: `projects/{project}/versions/{version}`. |